Subject: Re: [cfe-dev] cygwin updates (was: dladdr and Dl_info)
From: "Vincent R." <[email-masked]>
To: Eli Friedman <[email-masked]>
Cc: Reini Urban <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Fri, 15 Jan 2010 11:07:11 +0100
List-Id: <cygwin.cygwin.com>

>>>
>>> On 14/01/2010 14:20, Reini Urban wrote:
>>>>
>>>> I have a working cygwin llvm and llvm-gcc,
>>>> but had no time to produce a proper package yet.
>>>> Attached are my cygport files and my local config.
>>>> No patches were needed.
>>>>
>>>> But I haven't bothered to build clang yet,
>>>> just the Clang llvmc plugin and llvm-gcc,
>>>> which I thought is harder to build and gives us more gcc
compatibility.
>>>
>>> Here's what I have so far for llvm/clang 2.6; the .cygport may be
>>> missing something, it's been a few weeks since I've looked at it.
>>
>> On the cygwin mailinglist we came to some required clang patches.
>> http://cygwin.com/ml/cygwin/2010-01/msg00587.html
>> Sorry, untested, as I got unrelated linker errors.
> 
> The change to tools/CIndex/CIndexer.cpp looks fine if it works.  The
> change to tools/driver/driver.cpp isn't really right; the code really
> needs to be refactored.  The changes to the non-C++ include paths in
> lib/Frontend/InitHeaderSearch.cpp look a bit suspicious, but it's okay
> anyway.  The change to lib/Headers/stddef.h is completely wrong; what
> is it supposed to fix?

Still don't understand why cygwin doesn't implement dladdr, it would avoid
some
ugly ifdef...

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple